### Hierarchy

- DataRequestRepository

### Implemented by

- DataRequestRepositoryImpl

## Index

### Methods

- getRequests
- grantAccessForClient
- grantAccessForOffer
- requestPermissions

## Methods

### getRequests

- getRequests(fromPk: string | null, toPk: string | null): Promise<Array<DataRequest>>

- - Defined in repository/requests/DataRequestRepository.ts:9

  #### Parameters

  - ##### fromPk: string | null

  - ##### toPk: string | null

  #### Returns Promise<Array<DataRequest>>

### grantAccessForClient

- grantAccessForClient(fromPk: string, toPk: string, encryptedResponse: string): Promise<number>

- - Defined in repository/requests/DataRequestRepository.ts:7

  #### Parameters

  - ##### fromPk: string

  - ##### toPk: string

  - ##### encryptedResponse: string

  #### Returns Promise<number>

### grantAccessForOffer

- grantAccessForOffer(offerId: number, clientPk: string, encryptedClientResponse: string, priceId: number): Promise<void>

- - Defined in repository/requests/DataRequestRepository.ts:11

  #### Parameters

  - ##### offerId: number

  - ##### clientPk: string

  - ##### encryptedClientResponse: string

  - ##### priceId: number

  #### Returns Promise<void>

### requestPermissions

- requestPermissions(toPk: string, encryptedRequest: string): Promise<number>

- - Defined in repository/requests/DataRequestRepository.ts:5

  #### Parameters

  - ##### toPk: string

  - ##### encryptedRequest: string

  #### Returns Promise<number>

Generated using TypeDoc